<%@page contentType="text/html;charset=gb2312"%>
<HTML>
<BODY>
<FORM action="snoop.jsp" method=GET  name=form>
</FORM>
<H4>Request Information</H4> 
JSP Request Method:
<%
  	String method=request.getMethod();
  	out.println(method);
%>
<BR>
Request URI:
<%
  	String uri=request.getRequestURI();
  	out.println(uri);
%>
<BR>
Request Protocol:
<%
  	String protocol=request.getProtocol();
  	out.println(protocol);
%>
<BR>
Servlet path:
<%
  	String path=request.getServletPath();
  	out.println(path);
%>
<BR>
Path info:
<%
  	String info=request.getPathInfo();
  	out.println(info);
%>
<BR>
Path translated:
<%
  	String tran=request.getPathTranslated();
  	out.println(tran);
%>
<BR>
Query string:
<%
  	String query=request.getQueryString();
  	out.println(query);
%>
<BR>
Content length:
<%
  	int length=request.getContentLength();
  	out.println(length);
%>
<BR>
Content type:
<%
  	String type=request.getContentType();
  	out.println(type);
%>
<BR>
Server name:
<%
  	String name=request.getServerName();
  	out.println(name);
%>
<BR>
Server port:
<%
  	int port=request.getServerPort();
  	out.println(port);
%>
<BR>
Remote user:
<%
 	String user=request.getRemoteUser();
  	out.println(user);
%>
<BR>
Remote address:
<%
 	String addr=request.getRemoteAddr();
  	out.println(addr);
%>
<BR>
Remote host:
<% 
  	String host=request.getRemoteHost();
     out.println(host);
%>
<BR>
Authorization scheme:
<%
 	String author=request.getHeader("Authorization");
  	out.println(author);
%>
<BR>
locale:
<% 
out.println(request.getLocale());
%>
<BR>
</BODY>
</HTML>
